
Redmine - Defect #8926

NoMethod error in account login with openid for Phusion Passenger

2011-07-28 03:11 - Anonymous Anonymous

Status: Closed Start date: 2011-07-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Similar to Defect #7857 but for Phusion Passenger

Normal password login works, but when I use openid:

NoMethodError (undefined method `destroy' for {"OpenID::Consumer::last_requested_endpoint"=>nil}:Hash):

app/controllers/application_controller.rb:92:in `logged_user='

app/controllers/account_controller.rb:203:in `successful_authentication'

app/controllers/account_controller.rb:192:in `open_id_authenticate'

app/controllers/account_controller.rb:161:in `open_id_authenticate'

app/controllers/account_controller.rb:140:in `authenticate_user'

app/controllers/account_controller.rb:30:in `login'

/usr/lib/ruby/1.8/rack/head.rb:9:in `call'

/usr/lib/ruby/1.8/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11
Active Support version    2.3.11

Application root          /m/codelex-web/codelex-redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Redmine OpenID Selector plugin   0.0.1

History

#1 - 2011-07-31 04:12 - Anonymous Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

I needed to add:

http://www.redmine.org/attachments/6146/rails_6440_patch.rb

to config/initializers/

#2 - 2011-08-15 14:08 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
